<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="java.util.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.formCreate.*" %>
<%@ include file="/xml/formEngine2/sessionInfo2.jsp"%>
<%
  
    String sOPERATOR = SzConvert.toSpaceStr(request.getParameter("OPERATOR"));   

%>
<form name="formHidden" method="post">
  <input type="hidden" name="OPERATOR" value="<%=sOPERATOR%>"> 
</form>
<%

    boolean flag = true;
    String sUrl = "index.jsp";
    BdMailOperator bdMailOperator = new BdMailOperator();
    
    if (sOPERATOR.equals("add") ) {
    	flag = bdMailOperator.add(request);
    } else if (sOPERATOR.equals("update")) {
    	flag = bdMailOperator.update(request);    	
    } else if (sOPERATOR.equals("delete")) {
    	flag = bdMailOperator.delete(request);    	
    }
    
    String sMessage = SzOut.getMessage();
    if (flag) {    	
        out.println(SzPageHelp.jsAlert("操作成功"));
        out.println(SzPageHelp.jsFormSubmit("formHidden",sUrl));
    } else {
        out.println(SzPageHelp.jsAlertBack(sMessage));
    }
%>
